Bug 1732575 - [DDF] When running this command
Summary: [DDF] When running this command
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: All
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Lenka Špačková
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 18:56 UTC by Direct Docs Feedback
Modified: 2019-08-05 14:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:00:18 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Direct Docs Feedback 2019-07-23 18:56:53 UTC
When running this command
# leapp upgrade --debug

It doesn't create /var/log/leapp/dnf-debugdata/ directory containing transaction debug data.

Reported by: muhammad.khalil

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/upgrading_to_rhel_8/troubleshooting_upgrading-to-rhel-8#annotations:240be220-010b-4c16-8ffc-475a65d054ed

Comment 2 Petr Stodulka 2019-07-25 10:13:27 UTC
Hi,
the doc is correct. It tells:
===
If a problem occurs during downloading RPM packages, examine transaction debug data located in the /var/log/leapp/dnf-debugdata/ directory.
===

In case of customer I guess that problem occured much earlier - before we tried to download RPMs; to be clear, before we have been able to calculate the upgrade transaction. So there are no data that would be used to obtain something about problems with calculation of the upgrade transaction and as that, the directory is empty. The most probably, customer was not able to obtain even the metadata about target (RHEL 8) repositories.

So far, doc is exact here from my POV.

Comment 3 Petr Stodulka 2019-07-25 10:14:47 UTC
Correction: *... and as that, the directory is not created as it would be only empty. ...*

Comment 4 Lenka Špačková 2019-08-05 14:00:18 UTC
Thanks, Petr, for the expertise. There appears to be nothing I can do at this point.


Note You need to log in before you can comment on or make changes to this bug.